com.impinj.octane

## Enum LocationReportType

- java.lang.Object
- - java.lang.Enum<LocationReportType>
  - - com.impinj.octane.LocationReportType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocationReportType>

      public enum LocationReportType
      extends java.lang.Enum<LocationReportType>

  The type of the location report generated by the reader.
  See Also:
    `LocationReport`, `LocationConfig`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Entry` When enabled, an entry report is generated immediately the first time a tag is detected by the reader.
    `Exit` When enabled, an exit reports is generated by the reader when a tag has disappeared from view for the tag Age interval
    `Update` When enabled, an update report is generated periodically by the reader.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static LocationReportType` | `valueOf(int locationReportTypeValue)`
    `static LocationReportType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocationReportType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Entry

          public static final LocationReportType Entry

      When enabled, an entry report is generated immediately the first time a tag is detected by the reader.

    - #### Update

          public static final LocationReportType Update

      When enabled, an update report is generated periodically by the reader.

    - #### Exit

          public static final LocationReportType Exit

      When enabled, an exit reports is generated by the reader when a tag has disappeared from view for the tag Age interval

  - ### Method Detail

    - #### values

          public static LocationReportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocationReportType c : LocationReportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocationReportType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static LocationReportType valueOf(int locationReportTypeValue)

      Parameters:
        `locationReportTypeValue` - an integer value
      Returns:
        the enumeration object that represents this value

    - #### getValue

          public int getValue()

      Returns:
        the enumeration object as a integer